org.apache.ignite.binary

## Interface BinaryRawWriter

All Known Subinterfaces:
  BinaryRawWriterEx

All Known Implementing Classes:
  BinaryWriterExImpl

    public interface BinaryRawWriter

Raw writer for binary object. Raw writer does not write field name hash codes, therefore, making the format even more compact. However, if the raw writer is used, dynamic structure changes to the binary objects are not supported.

### Method Summary

Methods
`void` `writeBoolean(boolean val)`
`void` `writeBooleanArray(boolean[] val)`
`void` `writeByte(byte val)`
`void` `writeByteArray(byte[] val)`
`void` `writeChar(char val)`
`void` `writeCharArray(char[] val)`
`<T> void` `writeCollection(Collection<T> col)`
`void` `writeDate(Date val)`
`void` `writeDateArray(Date[] val)`
`void` `writeDecimal(BigDecimal val)`
`void` `writeDecimalArray(BigDecimal[] val)`
`void` `writeDouble(double val)`
`void` `writeDoubleArray(double[] val)`
`<T extends Enum<?>> void` `writeEnum(T val)`
`<T extends Enum<?>> void` `writeEnumArray(T[] val)`
`void` `writeFloat(float val)`
`void` `writeFloatArray(float[] val)`
`void` `writeInt(int val)`
`void` `writeIntArray(int[] val)`
`void` `writeLong(long val)`
`void` `writeLongArray(long[] val)`
`<K,V> void` `writeMap(Map<K,V> map)`
`void` `writeObject(Object obj)`
`void` `writeObjectArray(Object[] val)`
`void` `writeShort(short val)`
`void` `writeShortArray(short[] val)`
`void` `writeString(String val)`
`void` `writeStringArray(String[] val)`
`void` `writeTimestamp(Timestamp val)`
`void` `writeTimestampArray(Timestamp[] val)`
`void` `writeUuid(UUID val)`
`void` `writeUuidArray(UUID[] val)`

### Method Detail

#### writeByte

    void writeByte(byte val)
                   throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeShort

    void writeShort(short val)
                    throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeInt

    void writeInt(int val)
                  throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeLong

    void writeLong(long val)
                   throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeFloat

    void writeFloat(float val)
                    throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDouble

    void writeDouble(double val)
                     throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeChar

    void writeChar(char val)
                   throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeBoolean

    void writeBoolean(boolean val)
                      throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDecimal

    void writeDecimal(@Nullable
                    BigDecimal val)
                      throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeString

    void writeString(@Nullable
                   String val)
                     throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeUuid

    void writeUuid(@Nullable
                 UUID val)
                   throws BinaryObjectException

Parameters:
  `val` - UUID to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDate

    void writeDate(@Nullable
                 Date val)
                   throws BinaryObjectException

Parameters:
  `val` - Date to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeTimestamp

    void writeTimestamp(@Nullable
                      Timestamp val)
                        throws BinaryObjectException

Parameters:
  `val` - Timestamp to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeObject

    void writeObject(@Nullable
                   Object obj)
                     throws BinaryObjectException

Parameters:
  `obj` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeByteArray

    void writeByteArray(@Nullable
                      byte[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeShortArray

    void writeShortArray(@Nullable
                       short[] val)
                         throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeIntArray

    void writeIntArray(@Nullable
                     int[] val)
                       throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeLongArray

    void writeLongArray(@Nullable
                      long[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeFloatArray

    void writeFloatArray(@Nullable
                       float[] val)
                         throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDoubleArray

    void writeDoubleArray(@Nullable
                        double[] val)
                          throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeCharArray

    void writeCharArray(@Nullable
                      char[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeBooleanArray

    void writeBooleanArray(@Nullable
                         boolean[] val)
                           throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDecimalArray

    void writeDecimalArray(@Nullable
                         BigDecimal[] val)
                           throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeStringArray

    void writeStringArray(@Nullable
                        String[] val)
                          throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeUuidArray

    void writeUuidArray(@Nullable
                      UUID[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeDateArray

    void writeDateArray(@Nullable
                      Date[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeTimestampArray

    void writeTimestampArray(@Nullable
                           Timestamp[] val)
                             throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeObjectArray

    void writeObjectArray(@Nullable
                        Object[] val)
                          throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeCollection

    <T> void writeCollection(@Nullable
                           Collection<T> col)
                         throws BinaryObjectException

Parameters:
  `col` - Collection to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeMap

    <K,V> void writeMap(@Nullable
                      Map<K,V> map)
                  throws BinaryObjectException

Parameters:
  `map` - Map to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeEnum

    <T extends Enum<?>> void writeEnum(T val)
                   throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

#### writeEnumArray

    <T extends Enum<?>> void writeEnumArray(T[] val)
                        throws BinaryObjectException

Parameters:
  `val` - Value to write.
Throws:
  `BinaryObjectException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016